petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecRestoreArrayReadAndMemType

Restore array obtained with VecGetArrayReadAndMemType()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayReadAndMemType(Vec x,const PetscScalar **a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### See Also

VecGetArrayReadAndMemType(), VecRestoreArrayAndMemType(), VecGetArray(), VecRestoreArray(), VecGetArrayPair(), VecRestoreArrayPair()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages